Bouncy Castle Cryptography Library 1.45

## org.bouncycastle.mail.smime.test
Class SMIMETestUtil

    java.lang.Object
      org.bouncycastle.mail.smime.test.SMIMETestUtil

    public class SMIMETestUtil

extends java.lang.Object

Field Summary
`static boolean` `DEBUG`

Constructor Summary
`SMIMETestUtil()`

Method Summary
`static MimeBodyPart` `makeMimeBodyPart(MimeMultipart mm)`
`static MimeBodyPart` `makeMimeBodyPart(java.lang.String msg)`
`static MimeMultipart` `makeMimeMultipart(java.lang.String msg1, java.lang.String msg2)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### DEBUG

    public static final boolean DEBUG

See Also:
  Constant Field Values

Constructor Detail

### SMIMETestUtil

    public SMIMETestUtil()

Method Detail

### makeMimeBodyPart

    public static MimeBodyPart makeMimeBodyPart(java.lang.String msg)
                                         throws MessagingException

  Throws:
    `MessagingException`

### makeMimeBodyPart

    public static MimeBodyPart makeMimeBodyPart(MimeMultipart mm)
                                         throws MessagingException

  Throws:
    `MessagingException`

### makeMimeMultipart

    public static MimeMultipart makeMimeMultipart(java.lang.String msg1,
                                                  java.lang.String msg2)
                                           throws MessagingException

  Throws:
    `MessagingException`

Bouncy Castle Cryptography Library 1.45